# 32/64bit spec
#
%define	name	lrzip
%define	version	0.616
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compression program optimised for large files
Summary(de):	Für große Dateien opimiertes Kompressionsprogramm
Group:		Archiving/Compression
License:	GPLv2
Url:		http://ck.kolivas.org/apps/%{name}
Source0:	http://ck.kolivas.org/apps/%{name}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-----------------------------------
BuildRequires:	doxygen
BuildRequires:  nasm
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: zlib1-devel
#-----------------------------------
Obsoletes: %{name} < %version


%description
Long Range ZIP or Lzma RZIP

This is a compression program optimized for large files. The larger the file
and the more memory you have, the better the compression advantage this will
provide, especially once the files are larger than 100 MB. The advantage can
be chosen to be either size (much smaller than bzip2) or speed (much faster
than bzip2). Decompression is always much faster than bzip2.

%description -l de
Long Range ZIP oder Lzma RZIP

Dies ist ein Kompressionsprogramm für große Dateien. Je größer eine Datei ist 
und je mehr Arbeitsspeicher Sie haben, um so besser ist der Kompressionsgrad.
Besonders wenn eine Datei größer 100MB ist, macht sich dieser Vorteil bemerkbar.
Der Vorteil kann entweder die Größe sein (viel kleiner als bzip2) oder die 
Geschwindigkeit (viel schneller als bzip2). Die Dekomprimierung ist immer 
schneller als bzip2.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%make install DESTDIR=$RPM_BUILD_ROOT

#drop uneeded files
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/liblrzip.so
rm -f %{buildroot}/%{_includedir}/Lrzip.h
rm -f %{buildroot}/%{_libdir}/pkgconfig/lrzip.pc


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog README README-NOT-BACKWARD-COMPATIBLE TODO WHATS-NEW
%{_libdir}/liblrzip.so.*
%{_bindir}/lrunzip
%{_bindir}/lrzip
%{_bindir}/lrztar
%{_bindir}/lrzuntar
%{_bindir}/lrzcat
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*


%changelog
* Thu Dec 26 2013 bb <bb> 0.616-2pclos2013
- drop uneeded files instead of exclude
- add disable-static to build option
- use configure2_5x instead of configure to be consistent

* Wed Dec 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.616-1pclos2014
- 0.616
- add German summary and description

* Mon Sep 02 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.615-1pclos2013
- 0.615
- exclude static libraries

* Sat Jul 28 2012 Neal <nealbrks0 at gmail dot com> 0.614-2pclos2012
- process

* Sat Jul 28 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.614-2_archie_2012
- fixed devels being pulled in

* Fri Jul 13 2012 Neal <nealbrks0 at gmail dot com> 0.614-1pclos2012
- process

* Thu Jul 12 2012 Galen Seaman <galen.seaman@comcast.net> 0.614-1pclos2012
- 0.614 fixed bug in lztar

* Sat Jul 07 2012 Galen Seaman <galen.seaman@comcast.net> 0.613-1pclos2012
- 0.613 minor bugfixes

* Wed Apr 25 2012 Neal <nealbrks0 at gmail dot com> 0.612-1pclos2012
- process

* Wed Apr 25 2012 Galen Seaman <gseaman at clear.net> 0.612-1pclos2012
- Update to 0.612

* Fri Nov 18 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.608-1_archie_2011
- Updated and rebuilt for PCLinuxOS x86_64

* Fri May 13 2011 Galen Seaman <gseaman2186@comcast.net> 0.606-1pclos
- 0.606 fixes lrzuntar

* Sun May 08 2011 Galen Seaman <gseaman2186@comcast.net> 0.605-1pclos
- changed to xz and upgraded to 0.605

* Mon May 02 2011 Galen Seaman <gseaman2186@comcast.net> 0.604-1pclos
- first package for PCLinuxOS
